﻿/**
 * Color settings.
 * Настройки цветов.
 */
{
  // Color values for substitutions.
  // Значения цветов для подстановок.
  "def": {
    "al": "0x96FF00", // ally       / союзник
    "sq": "0xFFB964", // squadman   / взводный
    "tk": "0x00EAFF", // teamKiller / тимкиллер
    "en": "0xF50800", // enemy      / противник
    "pl": "0xFFDD33", // player     / игрок
    // Dynamic color by various statistical parameters.
    // Динамический цвет по различным статистическим показателям.
    "colorRating": {
      "0":     "0xCC0000",   // worst   (RED)
      "1":     "0x999999",   // bad     (GREY)
      "2":     "0xFFFFFF",   // avg-    (WHITE)
      "3":     "0xFFFF33",   // avg     (YELLOW)
      "4":     "0x33CC33",   // avg+    (GREEN)
      "5":     "0x00CC99",   // good    (TEAL)
      "6":     "0x0099FF",   // good+   (BLUE)
      "7":     "0xB041FF",   // great   (PURPLE)
      "8":     "0xFF6600"    // best    (ORANGE)
    },
    // Dynamic color by remaining health points.
    // Динамический цвет по оставшемуся запасу прочности.
    "colorHP": {
      "very_low":         "0xFF0000",   // very low       / очень низкий
      "low":              "0xDD4444",   // low            / низкий
      "average":          "0xFFCC22",   // average        / средний
      "above_average":    "0xFCFCFC",   // above-average  / выше среднего
      "full":             "0x33CC00"
    }
  },
  "colors": {
    // System colors.
    // Системные цвета.
    "system": {
      // Format: object_state
      // Object:      ally, squadman, teamKiller, enemy
      // State:       alive, dead, blowedup
      // ----
      // Формат: объект_состояние
      // Объект:      ally - союзник, squadman - взводный, teamKiller - тимкиллер, enemy - противник
      // Состояние:   alive - живой, dead - мертвый, blowedup - взорвана боеукладка
      "ally_alive":          ${"def.al"},
      "ally_dead":           "0x009900",
      "ally_blowedup":       "0x007700",
      "squadman_alive":      ${"def.sq"},
      "squadman_dead":       "0xCA7000",
      "squadman_blowedup":   "0xA45A00",
      "teamKiller_alive":    ${"def.tk"},
      "teamKiller_dead":     "0x097783",
      "teamKiller_blowedup": "0x096A75",
      "enemy_alive":         ${"def.en"},
      "enemy_dead":          "0x840500",
      "enemy_blowedup":      "0x5A0401"
    },
    // Dynamic color by damage kind.
    // Динамический цвет по типу урона.
    "dmg_kind": {
      "attack": "0xFFAA55",          // attack / атака
      "fire": "0xFF6655",            // fire / пожар
      "ramming": "0x998855",         // ramming / таран
      "world_collision": "0x228855", // world collision / столкновение с объектами, падение
      "other": "0xCCCCCC"            // other / другое
    },
    // Dynamic color by vehicle type.
    // Динамический цвет по типу техники.
    "vtype": {
      // Цвет для легких танков.
      "LT":  "0xA2FF9A",
      // Цвет для средних танков.
      "MT":  "0xFFF198",
      // Цвет для тяжелых танков.
      "HT":  "0xFFACAC",
      // Цвет для арты.
      "SPG": "0xEFAEFF",
      // Цвет для ПТ.
      "TD":  "0xA0CFFF",
      // Цвет для премиумной техники.
      "premium": "0xFFCC66",
      // Включить/выключить использование премиумного цвета.
      "usePremiumColor": false
    },
    // Color settings for damage.
    // Настройки цвета для урона.
    "damage": {
      // Format: src_dst_type.
      // Src:  ally, squadman, enemy, unknown, player.
      // Dst:  ally, squadman, allytk, enemytk, enemy.
      // Type: hit, kill, blowup.
      // ----
      // Формат: источник_получатель_тип.
      // Источник:   ally - союзник, squadman - взводный, enemy - противник, unknown - неизвестный (не виден игроку), player - игрок.
      // Получатель: ally, squadman, enemy, allytk - союзник тимкиллер, enemytk - противник тимкиллер.
      // Тип:        hit - попадание, kill - убийство, blowup - боеукладка.
      "ally_ally_hit":		${"def.tk"},
      "ally_ally_kill":		${"def.tk"},
      "ally_ally_blowup":	${"def.tk"},
      "ally_squadman_hit":	${"def.tk"},
      "ally_squadman_kill":	${"def.tk"},
      "ally_squadman_blowup":	${"def.tk"},
      "ally_enemy_hit":		${"def.en"},
      "ally_enemy_kill":	${"def.en"},
      "ally_enemy_blowup":	${"def.en"},
      "ally_allytk_hit":	${"def.tk"},
      "ally_allytk_kill":	${"def.tk"},
      "ally_allytk_blowup":	${"def.tk"},
      "ally_enemytk_hit":	${"def.en"},
      "ally_enemytk_kill":	${"def.en"},
      "ally_enemytk_blowup":	${"def.en"},
      "squadman_ally_hit":	${"def.tk"},
      "squadman_ally_kill":	${"def.tk"},
      "squadman_ally_blowup":	${"def.tk"},
      "squadman_squadman_hit":	${"def.tk"},
      "squadman_squadman_kill":	${"def.tk"},
      "squadman_squadman_blowup":	${"def.tk"},
      "squadman_enemy_hit":	${"def.en"},
      "squadman_enemy_kill":	${"def.en"},
      "squadman_enemy_blowup":	${"def.en"},
      "squadman_allytk_hit":	${"def.tk"},
      "squadman_allytk_kill":	${"def.tk"},
      "squadman_allytk_blowup":	${"def.tk"},
      "squadman_enemytk_hit":	${"def.en"},
      "squadman_enemytk_kill":	${"def.en"},
      "squadman_enemytk_blowup":${"def.en"},
      "enemy_ally_hit":		${"def.al"},
      "enemy_ally_kill":	${"def.al"},
      "enemy_ally_blowup":	${"def.al"},
      "enemy_squadman_hit":	${"def.sq"},
      "enemy_squadman_kill":	${"def.sq"},
      "enemy_squadman_blowup":	${"def.sq"},
      "enemy_enemy_hit":	${"def.en"},
      "enemy_enemy_kill":	${"def.en"},
      "enemy_enemy_blowup":	${"def.en"},
      "enemy_allytk_hit":	${"def.al"},
      "enemy_allytk_kill":	${"def.al"},
      "enemy_allytk_blowup":	${"def.al"},
      "enemy_enemytk_hit":	${"def.en"},
      "enemy_enemytk_kill":	${"def.en"},
      "enemy_enemytk_blowup":	${"def.en"},
      "unknown_ally_hit":	${"def.al"},
      "unknown_ally_kill":	${"def.al"},
      "unknown_ally_blowup":	${"def.al"},
      "unknown_squadman_hit":	${"def.sq"},
      "unknown_squadman_kill":	${"def.sq"},
      "unknown_squadman_blowup":${"def.sq"},
      "unknown_enemy_hit":	${"def.en"},
      "unknown_enemy_kill":	${"def.en"},
      "unknown_enemy_blowup":	${"def.en"},
      "unknown_allytk_hit":	${"def.al"},
      "unknown_allytk_kill":	${"def.al"},
      "unknown_allytk_blowup":	${"def.al"},
      "unknown_enemytk_hit":	${"def.en"},
      "unknown_enemytk_kill":	${"def.en"},
      "unknown_enemytk_blowup":	${"def.en"},
      "player_ally_hit":	${"def.pl"},
      "player_ally_kill":	${"def.pl"},
      "player_ally_blowup":	${"def.pl"},
      "player_squadman_hit":	${"def.pl"},
      "player_squadman_kill":	${"def.pl"},
      "player_squadman_blowup":	${"def.pl"},
      "player_enemy_hit":	${"def.pl"},
      "player_enemy_kill":	${"def.pl"},
      "player_enemy_blowup":	${"def.pl"},
      "player_allytk_hit":	${"def.pl"},
      "player_allytk_kill":	${"def.pl"},
      "player_allytk_blowup":	${"def.pl"},
      "player_enemytk_hit":	${"def.pl"},
      "player_enemytk_kill":	${"def.pl"},
      "player_enemytk_blowup":	${"def.pl"}
    },
    // Values below should be from smaller to larger.
    // Значения ниже должны быть от меньшего к большему.
    // ----
    // Dynamic color by remaining absolute health.
    // Динамический цвет по оставшемуся здоровью.
    "hp": [
      { "value": 201,  "color": ${"def.colorHP.very_low"     } },      // Цвет для значений менее 201
      { "value": 401,  "color": ${"def.colorHP.low"          } },      // Цвет для значений менее 401
      { "value": 1001, "color": ${"def.colorHP.average"      } },      // Цвет для значений менее 1001
      { "value": 9999, "color": ${"def.colorHP.above_average"} }       // Цвет для остальных значений
    ],
    // Dynamic color by remaining health percent.
    // Динамический цвет по проценту оставшегося здоровья.
    "hp_ratio": [
      { "value": 10,  "color": ${"def.colorHP.very_low"     } },       // Цвет для значений менее 10 проц
      { "value": 25,  "color": ${"def.colorHP.low"          } },       // Цвет для значений менее 25 проц
      { "value": 50,  "color": ${"def.colorHP.average"      } },       // Цвет для значений менее 50 проц
      { "value": 100, "color": ${"def.colorHP.above_average"} },       // Цвет для остальных значений
      { "value": 101, "color": ${"def.colorHP.full"         } }
    ],
    // Dynamic color for XVM Scale
    // Динамический цвет по шкале XVM
    // http://www.koreanrandom.com/forum/topic/2625-/
    "x": [
      { "value": 15,  "color": ${"def.colorRating.0" } },
      { "value": 25,  "color": ${"def.colorRating.1" } },
      { "value": 35,  "color": ${"def.colorRating.2" } },
      { "value": 50,  "color": ${"def.colorRating.3" } },
      { "value": 60,  "color": ${"def.colorRating.4" } },
      { "value": 70,  "color": ${"def.colorRating.5" } },
      { "value": 80,  "color": ${"def.colorRating.6" } },
      { "value": 95,  "color": ${"def.colorRating.7" } },
      { "value": 999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by efficiency
    // Динамический цвет по эффективности
    "eff": [
      { "value": 500,   "color": ${"def.colorRating.0" } },
      { "value": 700,   "color": ${"def.colorRating.1" } },
      { "value": 900,   "color": ${"def.colorRating.2" } },
      { "value": 1100,  "color": ${"def.colorRating.3" } },
      { "value": 1350,  "color": ${"def.colorRating.4" } },
      { "value": 1500,  "color": ${"def.colorRating.5" } },
      { "value": 1750,  "color": ${"def.colorRating.6" } },
      { "value": 2000,  "color": ${"def.colorRating.7" } },
      { "value": 9999,  "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by WN6 rating
    // Динамический цвет по рейтингу WN6
    "wn": [
      { "value": 500,   "color": ${"def.colorRating.0" } },
      { "value": 700,   "color": ${"def.colorRating.1" } },
      { "value": 900,   "color": ${"def.colorRating.2" } },
      { "value": 1100,  "color": ${"def.colorRating.3" } },
      { "value": 1350,  "color": ${"def.colorRating.4" } },
      { "value": 1500,  "color": ${"def.colorRating.5" } },
      { "value": 1750,  "color": ${"def.colorRating.6" } },
      { "value": 2000,  "color": ${"def.colorRating.7" } },
      { "value": 9999,  "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by TEFF (E) rating
    // Динамический цвет по рейтингу TEFF (E)
    "e": [
      { "value": 2,  "color": ${"def.colorRating.0" } },
      { "value": 3,  "color": ${"def.colorRating.1" } },
      { "value": 4,  "color": ${"def.colorRating.2" } },
      { "value": 5,  "color": ${"def.colorRating.3" } },
      { "value": 6,  "color": ${"def.colorRating.4" } },
      { "value": 7,  "color": ${"def.colorRating.5" } },
      { "value": 8,  "color": ${"def.colorRating.6" } },
      { "value": 9,  "color": ${"def.colorRating.7" } },
      { "value": 20, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by win percent
    // Динамический цвет по проценту побед
    "rating": [
      { "value": 46,  "color": ${"def.colorRating.0" } },
      { "value": 48,  "color": ${"def.colorRating.1" } },
      { "value": 50,  "color": ${"def.colorRating.2" } },
      { "value": 52,  "color": ${"def.colorRating.3" } },
      { "value": 54,  "color": ${"def.colorRating.4" } },
      { "value": 56,  "color": ${"def.colorRating.5" } },
      { "value": 60,  "color": ${"def.colorRating.6" } },
      { "value": 70,  "color": ${"def.colorRating.7" } },
      { "value": 999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by kilo-battles
    // Динамический цвет по количеству кило-боев
    "kb": [
      { "value": 1,   "color": ${"def.colorRating.0" } },
      { "value": 3,   "color": ${"def.colorRating.1" } },
      { "value": 5,   "color": ${"def.colorRating.2" } },
      { "value": 7,   "color": ${"def.colorRating.3" } },
      { "value": 9,   "color": ${"def.colorRating.4" } },
      { "value": 12,  "color": ${"def.colorRating.5" } },
      { "value": 15,  "color": ${"def.colorRating.6" } },
      { "value": 20,  "color": ${"def.colorRating.7" } },
      { "value": 999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by average level of player tanks
    // Динамический цвет по среднему уровню танков игрока
    "avglvl": [
      { "value": 2,   "color": ${"def.colorRating.0" } },
      { "value": 3,   "color": ${"def.colorRating.1" } },
      { "value": 4,   "color": ${"def.colorRating.2" } },
      { "value": 5,   "color": ${"def.colorRating.3" } },
      { "value": 6,   "color": ${"def.colorRating.4" } },
      { "value": 7,   "color": ${"def.colorRating.5" } },
      { "value": 8,   "color": ${"def.colorRating.6" } },
      { "value": 9,   "color": ${"def.colorRating.7" } },
      { "value": 999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by battles on current tank
    // Динамический цвет по количеству боев на текущем танке
    "t_battles": [
      { "value": 100,    "color": ${"def.colorRating.0" } },
      { "value": 200,    "color": ${"def.colorRating.1" } },
      { "value": 300,    "color": ${"def.colorRating.2" } },
      { "value": 400,    "color": ${"def.colorRating.3" } },
      { "value": 500,    "color": ${"def.colorRating.4" } },
      { "value": 700,    "color": ${"def.colorRating.5" } },
      { "value": 1000,   "color": ${"def.colorRating.6" } },
      { "value": 2000,   "color": ${"def.colorRating.7" } },
      { "value": 999999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by average damage on current tank
    // Динамический цвет по среднему урону за бой на текущем танке
    "tdb": [
      { "value": 500,   "color": ${"def.colorRating.0" } },
      { "value": 1000,  "color": ${"def.colorRating.1" } },
      { "value": 1250,  "color": ${"def.colorRating.2" } },
      { "value": 1500,  "color": ${"def.colorRating.3" } },
      { "value": 1750,  "color": ${"def.colorRating.4" } },
      { "value": 2000,  "color": ${"def.colorRating.5" } },
      { "value": 2500,  "color": ${"def.colorRating.6" } },
      { "value": 3000,  "color": ${"def.colorRating.7" } },
      { "value": 99999, "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by average damage efficiency on current tank 
    // Динамический цвет по эффективности урона за бой на текущем танке 
    "tdv": [
      { "value": 0.5,  "color": ${"def.colorRating.0" } },
      { "value": 0.7,  "color": ${"def.colorRating.1" } },
      { "value": 0.9,  "color": ${"def.colorRating.2" } },
      { "value": 1.1,  "color": ${"def.colorRating.3" } },
      { "value": 1.3,  "color": ${"def.colorRating.4" } },
      { "value": 1.5,  "color": ${"def.colorRating.5" } },
      { "value": 2.0,  "color": ${"def.colorRating.6" } },
      { "value": 3.0,  "color": ${"def.colorRating.7" } },
      { "value": 999,  "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by average frags per battle on current tank 
    // Динамический цвет по среднему количеству фрагов за бой на текущем танке 
    "tfb": [
      { "value": 0.6,  "color": ${"def.colorRating.0" } },
      { "value": 0.8,  "color": ${"def.colorRating.1" } },
      { "value": 1.0,  "color": ${"def.colorRating.2" } },
      { "value": 1.2,  "color": ${"def.colorRating.3" } },
      { "value": 1.5,  "color": ${"def.colorRating.4" } },
      { "value": 2.0,  "color": ${"def.colorRating.5" } },
      { "value": 3.0,  "color": ${"def.colorRating.6" } },
      { "value": 4.0,  "color": ${"def.colorRating.7" } },
      { "value": 999,  "color": ${"def.colorRating.8" } }
    ],
    // Dynamic color by average number of spotted enemies per battle on current tank 
    // Динамический цвет по среднему количеству засвеченных врагов за бой на текущем танке 
    "tsb": [
      { "value": 0.6,  "color": ${"def.colorRating.0" } },
      { "value": 0.8,  "color": ${"def.colorRating.1" } },
      { "value": 1.0,  "color": ${"def.colorRating.2" } },
      { "value": 1.2,  "color": ${"def.colorRating.3" } },
      { "value": 1.5,  "color": ${"def.colorRating.4" } },
      { "value": 2.0,  "color": ${"def.colorRating.5" } },
      { "value": 3.0,  "color": ${"def.colorRating.6" } },
      { "value": 4.0,  "color": ${"def.colorRating.7" } },
      { "value": 999,  "color": ${"def.colorRating.8" } }
    ]
  }
}
